<!DOCTYPE html>
<html>
  <head>
    <title>Group-2 Black Friday</title>
    <meta charset="utf-8">
    <!-- <link rel="stylesheet" href="http://yui.yahooapis.com/pure/0.6.0/pure-min.css"> -->

    <link rel="stylesheet" href="../public/pure-min.css">
    <style>
      /* @import url(https://fonts.googleapis.com/css?family=Yanone+Kaffeesatz); */
      /* @import url(https://fonts.googleapis.com/css?family=Droid+Serif:400,700,400italic);
      @import url(https://fonts.googleapis.com/css?family=Ubuntu+Mono:400,700,400italic); */


      .smaller-font { font-size: 18px;}

      .pure-table th{
         text-align: center;
       }

      table{
        width: 100%;
      }

      body {
        font-family: 'Droid Serif';
        background-color: "green";
      }

      h1, h2, h3 {
        font-family: 'Yanone Kaffeesatz';
        font-weight: normal;
      }

      .remark-code, .remark-inline-code { font-family: 'Ubuntu Mono'; }

      #slide_img1{
        width:100%;
      }

      #slide_img2{
        width:100%;
        height: 530px;
      }

      #slide_img3{
        width:100%;
        height: 520px;
      }

      .remark-container {
        background-image: url(../Graph/Black_Friday.jpg);
      }

    </style>
  </head>
  <body>
    <textarea id="source">

    class: center, middle

    <h2 class="left">Black Friday</h2>
    <p>
      <span class="left" style="font-size: large;"> A study of sales through consumer behaviours</span>
    </p>

    <div class="footnote">
      <img src="../Graph/Black_Friday.jpg" alt="" id="slide_img1">
    </div>

    ---

    <h2 class="left">Outline</h2>
    <hr/>

    <div>
      <ol style="font-size: 1.6em;">
        <li>Introduction</li>
        <ol>
            <li>Background</li>
            <li>Goal</li>
          </ol>
        <br/>
        <li>Data Insight Plots</li>
        <br/>
        <li>Results</li>
      <ol>
    </div>
    ---

    <h2 class="left">Important links</h2>
    <hr/>
    <p style="text-align: center;font-size: 1.8em;">
      <a href="https://gitlab.com/cmsc6950/team2/data_analysis" target="_blank">GitLab</a> <br/><br/>
      <a href="https://gitlab.com/cmsc6950/team2/data_analysis/raw/master/GroupProject2/Report/Team_2_report.pdf?inline=false" target="_blank">Project Report</a><br/><br/>
      <a href="https://cmsc6950.gitlab.io/team2/data_analysis/GroupProject2/public/index.html" target="_blank">Project Presentation</a>
    </p>

    ---
    <h2 class="left">Background</h2>
    <hr/>
    <p>
      <span class="left" style="font-size: 30px;text-align: justify;">
        The massive growth of the internet on the 21st century has provided companies the opportunity to access a wider
        range of populations and reach much more people to sell their products and increase their proﬁt. Every year many
        of these companies participate in big shopping events such as Black Friday, where they make their products available at
        discounted prices to the consumers.
      </span>
    </p>

    ---

    <h2 class="left">Background</h2>
    <hr/>
    <p>
      <span class="left" style="font-size: 30px;text-align: justify;">
        Black Friday does not only help companies increase their sells, but also allows them to get to know their target audience,
        ﬁnd their best-selling products as well as the regions where they sell the most by analysing consumers’ data generated during
        this event each year. This provides companies the chance to create target advertisements, include new products or remove existing
        items from their inventory.
      </span>
    </p>

    ---
    <h2 class="left">Goal</h2>
    <hr/>
    <p>
      <span class="left" style="font-size: 30px;text-align: justify;">
        The goal of our team was to analyse Black Friday datasets provided by Kaggle and draw various insights from them.
        We wanted to understand customers’ purchase behaviour based on certain parameters such as their gender, age,
        occupation and the region they live in, to use these ﬁndings to improve advertisement campaigns and target the right population and cities.
      </span>
    </p>

    ---

    <h3 class="left">Contribution: Kaushlender</h3>
    <hr/>
    <br/>

    .pure-table.pure-table-bordered.pure-table-striped.smaller-font[
          |Kaushlender Kumar|
          |--------|
          | Setup solution architecture  |
          | Programs: Code to download Black Friday dataset and clean the dataset  |
          | Matplotlib plot: Data Insight, Correlation matrix,purchase amount distribution plots  |
          | Project presentation, Report.pdf and README.md files|
          | makefile  |
    ]

    ---
    <h3 class="left">Data Insight Plot - 1.1</h3>
    <hr/>
    <span class="left" style="font-size: 20px;">
      Plots of Black Friday dataset ﬁelds to gain an initial understanding of the source and target data ﬁelds.
    </span>

    <img src="../Graph/data_insight_1.png" alt="" id="slide_img1">

    ---
    <h3 class="left">Data Insight Plot - 1.2</h3>
    <hr/>

    <img src="../Graph/data_insight_2.png" alt="" id="slide_img1">

    ---
    <h3 class="left">Correlation matrix</h3>
    <hr/>
    <span class="left">
      There is a positive correlation between three of the below ﬁelds with the target ﬁeld purchase. An increase in value
      of any of the below ﬁelds is likely a result of a higher purchase from the customer.

      <ol>
        <li>Occupation</li><br/>
        <li>Stay In Current City Years</li><br/>
        <li>Marital Status</li><br/>
      <ol>
    </span>

    ---
    <h3 class="left">Correlation matrix</h3>
    <hr/>

    <img src="../Graph/correlation_matrix.png" alt="">

    ---
    <h3 class="left">Buyers’ purchase amount distribution</h3>
    <hr/>
    <span class="left" style="font-size: 16px;">
      The distribution of the amount spent in purchases by the buyers almost followed Gaussian distribution.
    </span>

    <img src="../Graph/purchase_amount_distribution.png" alt="" id="slide_img1">

    ---

    <h3 class="left">Contribution: Yamini</h3>
    <hr/>
    <br/>

    .pure-table.pure-table-bordered.pure-table-striped.smaller-font[
          |Yamini Kosaraju|
          |--------|
          | Matplotlib plot: boxplot-point, boxplot-all occupation types and other categories   |
          | README.md |
          | Project presentation |
    ]

    ---

    class: center, middle

    # Consumer behaviours plot

    ---
    <h3 class="left">Consumer purchase behaviour based on their occupation - 1.1</h3>
    <hr/>
    <span class="left" style="font-size: 18px;">
      <ol>
          <li>Most of the purchases ranged between USD$5000 and USD$10,000.</li>
          <br/>
          <li>The occupation type 4 registered the highest purchases, followed by occupation types 0 and 7.
             Insight: From this data, we can draw insights that companies can plan to run targeted advertisements
             around the occupation types 4, 0 and 7 to sell their products and increase their chances of gaining more proﬁt.
          </li>
      </ol>
    </span>
    ---
    <h4 class="left">Consumer purchase behaviour based on their occupation - 1.1</h4>
    <hr/>
    <img src="../Graph/occupation_vs_purchase.png" alt="" id="slide_img2">

    ---
    <h4 class="left"> Consumer purchase habits across all occupation types - 1.2</h4>
    <hr/>
    <span class="left" style="font-size: 16px;">
      <ol>
          <li>On Black Friday everyone showed almost the same level of interest in purchasing and spent around the same amount of money.</li>
          <br/>
          <li>Among all the occupations, occupation types 12, 15 and 17 did most of the purchases, amounting to around USD$14,000 followed by occupation types 7,
            8 and 13 whose purchases amounted to almost USD$13,000.</li>
      </ol>
    </span>
    <img src="../Graph/occupation_vs_purchase_box_plot.png" alt="" id="slide_img1">

    ---
    <h4 class="left">Consumer purchase behaviour across various categories - 1.3</h4>
    <hr/>
    <h4>Age versus purchase</h4>
    <p>Almost all age groups took advantage of the lower prices and spent around the same amount of money.</p>


     <h4>Gender versus purchase</h4>
     <p>Men showed a little bit more interest than women in spending more money on Black Friday. This might have been
        because of the huge discounts on electronic appliances and devices.</p>

     <h4>Marital status versus purchase</h4>
     <p>Even though single people bought more products on Black Friday than married people, there was not a big diﬀerence in the purchase amount<br/>
        0 - Single
        1 - Married</p>

     <h4>City versus purchase</h4>
     <p>People from city C showed a little bit more interest in shopping on Black Friday compared to people from cities A and B.</p>

    ---
    <h4 class="left">Consumer purchase behaviour across various categories - 1.3</h4>
    <hr/>
    <img src="../Graph/consumer_behaviour_box.png" alt="" id="slide_img1">

    ---

    <h3 class="left">Contribution: Tareq </h3>
    <hr/>
    <br/>

    .pure-table.pure-table-bordered.pure-table-striped.smaller-font[
          |Tareq Zaman|
          |--------|
          | Matplotlib plot: product category point plots   |
          | Bokeh plot: bar and pie plots   |
          | Programs: test assert file  |
          | README.md |
          | makefile  |
    ]

    ---
    <h3 class="left">Purchase Behaviour: Category Age - 1.3.1</h3>

    <object width="100%" height="400" type="text/html" data="../BokehPlot/bar_age_vs_purchase.html" border="1" > </object>

    ---
    <h3 class="left">Purchase behaviour: Category Gender - 1.3.2</h3>

    <object width="100%" height="400" type="text/html" data="../BokehPlot/bar_Gender_vs_purchase.html" border="1" > </object>

    ---
    <h3 class="left">Purchase behaviour: Category Marital Status - 1.3.3</h3>

    <object width="100%" height="400" type="text/html" data="../BokehPlot/bar_Marital_Status_vs_purchase.html" border="1" > </object>

    ---
    <h3 class="left">Purchase behaviour: Category City - 1.3.4</h3>
    <object width="100%" height="400" type="text/html" data="../BokehPlot/bar_City_Category_vs_purchase.html" border="1" > </object>

    ---
    <h3 class="left">Average purchase on age groups</h3>
    <object width="100%" height="400" type="text/html" data="../BokehPlot/pie.html" border="1" > </object>

    ---
    <h3 class="left">Consumer purchase behaviour based on their age and city they live in - 1.4</h3>
    <hr/>
    <span class="left" style="font-size: 18px;">
      <ol>
        <li>The age group 55 and above was mostly interested in buying products from category-1, follow by products from category-2 and category-3.</li>
        <br/>
        <li>The age group between 0 and 17 were not quite active in purchasing. Most of them preferred buying products from category-3.</li>
        <br/>
        <li>The age group 55 and above made most of the purchases from city tier B. It is probable that city B is more populated compared
          to the other cities.</li>
        <br/>
        <li>Consumers of all age groups from city tier C did most of the purchases.</li>
      </ol>
    </span>

    ---

    <h4 class="left">Consumer purchase behaviour based on their age and city they live in - 1.4</h4>
    <img src="../Graph/consumer_behaviour_line.png" alt="" id="slide_img1">

    ---

    class: center, middle

    # Thank you


    </textarea>

    <script src="https://remarkjs.com/downloads/remark-latest.min.js"> </script>
    <script>
      var hljs = remark.highlighter.engine;
      var slideshow = remark.create({
        highlightStyle: 'monokai',
        highlightLanguage: 'remark',
        highlightLines: true
      });
    </script>
  </body>
</html>
